hero = {}
hero.x = 200
hero.y = 400
hero.pic = love.graphics.newImage('hero.png')
hero.w = hero.pic:getWidth()
hero.h = hero.pic:getHeight()
hero.speed = 500
hero.canmove = true
hero.sampletext = "I see dead objects"
hero.observes = false

function hero_draw()

	love.graphics.draw(hero.pic, hero.x, hero.y)
	if hero.observes then 
		love.graphics.print(hero.sampletext, hero.x, hero.y-(hero.h/5))
	end

end

function hero_move(dt)

	if hero.canmove == true then
		if love.keyboard.isDown("a") and 0 < hero.x then
			hero.x = hero.x - (hero.speed * dt)
		elseif love.keyboard.isDown("d") and hero.x < love.graphics:getWidth() then
			hero.x = hero.x + (hero.speed * dt)
		end
	end

end